@import '../../style/index';
@import '../common/handle.less';

@selection-prefix-cls: ~'@{x6-prefix}-widget-selection';

.@{selection-prefix-cls} {
  position: absolute;
  display: none;
  touch-action: none;

  &-rubberband {
    position: absolute;
    display: block;
    overflow: visible;
    opacity: 0.3;
  }

  &-selected {
    position: static;
    display: block;
    height: 0 !important;
    background-color: transparent;
    cursor: move;
    opacity: 1;
  }

  &-box {
    position: absolute;
    box-sizing: content-box;
    margin-top: -4px;
    margin-left: -4px;
    padding-right: 4px;
    padding-bottom: 4px;
  }

  &-inner {
    position: absolute;
    box-sizing: content-box;
    margin-top: -8px;
    margin-left: -8px;
    padding-right: 12px;
    padding-bottom: 12px;
    pointer-events: none;
  }
  &-inner[data-selection-length='0'],
  &-inner[data-selection-length='1'] {
    display: none;
  }

  &-content {
    position: absolute;
    top: 100%;
    right: -20px;
    left: -20px;
    margin-top: 30px;
    padding: 6px;
    line-height: 14px;
    text-align: center;
    border-radius: 6px;

    &:empty {
      display: none;
    }
  }
}

// theme
.@{selection-prefix-cls} {
  &-rubberband {
    background-color: #3498db;
    border: 2px solid #2980b9;
  }

  &-box {
    border: 2px dashed #feb663;
    box-shadow: 2px 2px 5px #d3d3d3;
  }

  &-inner {
    border: 2px solid #feb663;
    box-shadow: 2px 2px 5px #d3d3d3;
  }

  &-content {
    color: #fff;
    font-size: 10px;
    background-color: #6a6b8a;
  }
}
